OCflash Downgrade OPCOM firmware if was upgraded from 2011 2012 official software - Page 2
Register
Page 2 of 8 FirstFirst 1234567 ... LastLast
Results 16 to 30 of 117
  1. #16
    Newbie
    Join Date
    Oct 2018
    Posts
    5
    Thanks Thanks Given 
    0
    Thanks Thanks Received 
    0
    Thanked in
    0 Posts

    Default

    Is the 1.39 fw able to read the security code from an astra h?

  2. #17
    Newbie
    Join Date
    Oct 2018
    Posts
    2
    Thanks Thanks Given 
    0
    Thanks Thanks Received 
    0
    Thanked in
    0 Posts

    Default

    how can I upgrade to the up-com interface from 1.45 to 1.39?

  3. #18
    Junior Member
    Join Date
    Aug 2015
    Location
    Ukraine
    Posts
    34
    Thanks Thanks Given 
    12
    Thanks Thanks Received 
    1
    Thanked in
    1 Post

    Default

    Hi to all! Please help me, I need firmware 1.95 for opcom. Thanks!

  4. #19
    Newbie
    Join Date
    Mar 2019
    Posts
    3
    Thanks Thanks Given 
    1
    Thanks Thanks Received 
    0
    Thanked in
    0 Posts

    Default

    hello guys,
    i drive opel corsa C 1.2 year 2003 and i would like to get the holy grail v1.39 . i bought op-com 2012 v1.45 but the real version is v1.99. I'm trying to downgrade little by little with ocflash, i have succeeded to downgrade v1.59. but v1.59 to v1.45 it doesn't work, this message appears "bootlaoder did not respond...either killed interface, empty pic or new protection". is it FTDI problem ? any suggestion or idea ? should I buy a op-com 2009 v1.45 for downgrading it and get the King of Kings v1.39?
    The Last of the Mohicans

  5. #20
    DK Veteran manocao's Avatar
    Join Date
    Sep 2009
    Posts
    887
    Thanks Thanks Given 
    5
    Thanks Thanks Received 
    149
    Thanked in
    48 Posts

    Default

    Firmware 1.39 is inside the .zip in the 1st post
    __________________

    China: OPEL Tech2 non-CAN multiplexer USB, OP-COM USB, OBDII Elm327 USB, VAG-COM 409.1/VCDS Lite 1.0 KKL USB

    Homemade: UNISCAN Visa 1.83 RS-232, Renault XR25PC USB, BMW KKL USB, Nissan Consult1 USB

  6. #21
    Newbie
    Join Date
    Jun 2019
    Posts
    2
    Thanks Thanks Given 
    0
    Thanks Thanks Received 
    0
    Thanked in
    0 Posts

    Default

    I hope this solves my problem

  7. #22
    Newbie
    Join Date
    Jul 2019
    Posts
    2
    Thanks Thanks Given 
    0
    Thanks Thanks Received 
    0
    Thanked in
    0 Posts

    Default

    Hello every one!

    I would like download 2 files (OCFlash.zip, Firmwarefiles.rar FW 1.33; 1.39; 1.41; 1.43; 1.44; 1.45; 1.59 but I cannot.
    Would send those me by mail? xxxxxxxxxxxxxxx
    Thank you for your help!
    Last edited by Tom6609; 20th July, 2019 at 08:08 PM. Reason: no addys read the rules !!!

  8. #23
    Newbie
    Join Date
    Aug 2019
    Location
    UK
    Posts
    4
    Thanks Thanks Given 
    1
    Thanks Thanks Received 
    1
    Thanked in
    1 Post

    Default

    Hello everyone,
    I am new on here and looking to get some help on my OP-com device. I just have purchased a device where the firmware version is V1.70 (able to be upgraded and downgraded) and needing some help as I have flashed to V1.59 but now wish to flash it back to V1.70.
    Since at the "Firmwarefiles" folder the higher version is 1.59, how can I get the 1.70 version back on my device ?
    Any help would be much appreciated

  9. The Following User Says Thank You to XtRYaM5Pt For This Useful Post:

    ltaylor (5th May, 2021)

  10. #24
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    1,122
    Thanks Thanks Given 
    689
    Thanks Thanks Received 
    1,170
    Thanked in
    513 Posts

    Default

    Chinese OP COM works with OP COM CHINA 082010 and fake VauxCom 2012, 2014 and 2016. To work with Opcom 082010 you need FW 1.39 and for Vauxcom 1.45. The latest original FW is 1.66. The rest 1.70, 1.95, 1 ..... are Chinese marketing tricks. But if you really need 1.70 then you have it here.
    Attached Files Attached Files

  11. The Following 11 Users Say Thank You to Mario6 For This Useful Post:

    a602820922 (2nd September, 2021), alusta (11th December, 2020), byido03 (3rd July, 2021), Col19 (17th November, 2019), dadrocker (26th November, 2021), florin10b (5th December, 2021), LRobert (8th October, 2020), metaleks (27th December, 2021), pablobonome (18th December, 2019), pakitko (23rd April, 2022), ummagumma64 (7th June, 2022)

  12. #25
    Newbie
    Join Date
    Aug 2019
    Location
    UK
    Posts
    4
    Thanks Thanks Given 
    1
    Thanks Thanks Received 
    1
    Thanked in
    1 Post

    Default

    Quote Originally Posted by Mario6 View Post
    Chinese OP COM works with OP COM CHINA 082010 and fake VauxCom 2012, 2014 and 2016. To work with Opcom 082010 you need FW 1.39 and for Vauxcom 1.45. The latest original FW is 1.66. The rest 1.70, 1.95, 1 ..... are Chinese marketing tricks. But if you really need 1.70 then you have it here.

    Hi Mario6

    Really appreciate for proving me the file ! Now I have been able to flash it back to 1.70
    As far as I read over several pages and stuff posted on internet, I read somewhere the latest original version of 1.66 being incompatible and may damage the Chinese clone devices, like mine is. Do you know if this is true ? And if I flash the unit to a version anywhere above of 1.70 ( 1.78 , 1.95 or 1.99 ), does it give any advantadge to me or there is no difference at all ?

    Cheers,
    Ed

  13. #26
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    1,122
    Thanks Thanks Given 
    689
    Thanks Thanks Received 
    1,170
    Thanked in
    513 Posts

    Default

    Hi.
    Since you were able to update FW back to 1.70 it means that you have a real PIC 18F458. I tested FW 1.39, 1.45, 1.59, 1.60, 1.64, 1.66, 1.70 and unfortunately I did not notice the difference in the operation of fake SW OP COM 082010 nor Vauxcom 2012, 2014 and 2016. Fw does not matter. HW and SW is important. I tested fake Vauxcom 2016 on Insignia 2010 2.0 diesel 163 PS and showed / reset errors, showed engine measured value blocks and something else but I don't remember. (I don't have Opel now)
    I also tested HQ Clone. Works well with the latest OP COM 170823C EN (2018) and OP COM 160115a PL. (2016)
    Last edited by Mario6; 2nd September, 2019 at 08:46 PM.

  14. The Following 2 Users Say Thank You to Mario6 For This Useful Post:

    Barbarosa (20th May, 2022), XtRYaM5Pt (3rd September, 2019)

  15. #27
    Newbie
    Join Date
    Aug 2019
    Location
    UK
    Posts
    4
    Thanks Thanks Given 
    1
    Thanks Thanks Received 
    1
    Thanked in
    1 Post

    Default

    Thanks again for clarifing that to me Mario6.

    Yeah I purchased a clone from the Aliexpress where seller told me firmware was able to be updated / downgraded, and looks like it is in fact a real PIC chipset, otherwise I think it would be unusable after trying to flash firmware.

    As far as I read elsewhere, a real OP-COM has an professional version where it provides even more options, and software does not work at all on the standard / HQ clones, right ?

    I actually purchased it to connect into my 07 Saab 1.9 TiD 150 PS, where I did install all four injectors from the TTiD model after remapping ECU. Basically I would like to code those injectors (9 digit number) at ECU but I am getting an "EEPROM writing error message", so I believe it is due to ECU does not accept any kind of injectors beyond the original ones. I have tried to do a small simulation and put an 9 digit number from an original injector I found elsewhere at the internet, and was able to write into the ECU using my Op-com clone. I think it is working good but I found several options only exclusive for OPEL's and Saab's are more likely to work with a different equipment like Tech 2 probably ?
    Either way, I appreciate for your help on this again


    Cheers

  16. #28
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    1,122
    Thanks Thanks Given 
    689
    Thanks Thanks Received 
    1,170
    Thanked in
    513 Posts

    Default

    That's cool. Tech 2 has more options than ori OP COM. But if I'm well aware, clone works well until 2014. New OPEL cars can only be programmed online. Good luck.

    https://www.aliexpress.com/item/3292...chweb201603_52
    Last edited by Mario6; 4th September, 2019 at 07:26 PM.

  17. #29
    Newbie
    Join Date
    Sep 2019
    Posts
    2
    Thanks Thanks Given 
    0
    Thanks Thanks Received 
    0
    Thanked in
    0 Posts

    Default

    Hello,

    is it possible to upgrade A PCB 5 to Hex v1.99?

    BR

  18. #30
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    1,122
    Thanks Thanks Given 
    689
    Thanks Thanks Received 
    1,170
    Thanked in
    513 Posts

    Default

    Hi.
    If you have OP Com V5 with a real PIC 18F458 then you can ( On pcb is date xx.xx.2007). But what for? V 1.99 is a Chinese FW that does not matter in the operation of Chinese Op-Com. If necessary, the software changes FW itself. For example, vauxcom 2014 changes FW from 1.39 to 1.45. FW 1.45 is sufficient for Chinese op com interfaces.

 

 
Page 2 of 8 FirstFirst 1234567 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •